Namespace
arm64v8
Image / Tag
openjdk:22-ea-21-slim-bullseye
Content Digest
sha256:aaf0c297387d3d614db7c0f40bc3a6d1f40466e746931c2c288b40b0c04f449d
Details
Created

2023-11-01 03:23:07 UTC

Size

225 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-22

JAVA_VERSION

22-ea+21

LANG

C.UTF-8

PATH

/usr/local/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6e498137f0ed1053c364a5c8a688616b4abee72496a0b97cc71ea5e603565070 - 12.75% (28.7 MB)

[#001] sha256:d1c6abed9fe365e0d3d29c1e8623c6d3d6cc0edf4c4d111f36535cad5d6bfe0c - 0.67% (1.5 MB)

[#002] sha256:b2959b65c06b30dd18a8cd93afedaf01e0cdf9b263a049958fbd9ed6dddea908 - 86.58% (195 MB)


History
2023-11-01 00:39:55 UTC

/bin/sh -c #(nop) ADD file:99dc83e8bb8c67d9179a265fb750c76f73fa660e13e938b6cd613be653cd077e in /

2023-11-01 00:39:56 UTC

/bin/sh -c #(nop) CMD ["bash"]

2023-11-01 03:22:54 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2023-11-01 03:22:54 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-22

2023-11-01 03:22:54 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-22/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-11-01 03:22:54 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-11-01 03:22:54 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=22-ea+21

2023-11-01 03:23:05 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk22/21/GPL/openjdk-22-ea+21_linux-x64_bin.tar.gz'; downloadSha256='cefe6f9697801dd2a7abebdbd5b7bd36ad489794589e838562da46bde434ae5e'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk22/21/GPL/openjdk-22-ea+21_linux-aarch64_bin.tar.gz'; downloadSha256='b77e7f170973c91690aa64a028f2e991828fde5092eabc29b602e26824216797'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends wget ; rm -rf /var/lib/apt/lists/*; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-11-01 03:23:07 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete